Debian Bug report logs - #567502
RM: portmap -- ROM; superseded by rpcbind

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Olaf van der Spek <olafvdspek@gmail.com>

Date: Fri, 29 Jan 2010 14:33:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#567502; Package portmap. (Fri, 29 Jan 2010 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olafvdspek@gmail.com>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 29 Jan 2010 14:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olafvdspek@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Exclude portmap from standard task
Date: Fri, 29 Jan 2010 15:29:49 +0100
Package: portmap
Version: 6.0.0-1
Severity: normal

Hi,

A default Debian install (without GUI) includes portmap, which listens on a public IP address. Could this avoided?
Either by excluding portmap altogether or by only listening on localhost.

Olaf

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages portmap depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries
ii  libwrap0                      7.6.q-18   Wietse Venema's TCP wrappers libra
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

portmap recommends no packages.

portmap suggests no packages.

-- debconf information:
  portmap/loopback: true




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#567502; Package portmap. (Wed, 27 Apr 2011 20:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Smeets <vincent.vsmeets@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 27 Apr 2011 20:09:13 GMT) Full text and rfc822 format available.

Message #10 received at 567502@bugs.debian.org (full text, mbox):

From: Vincent Smeets <vincent.vsmeets@gmail.com>
To: 567502@bugs.debian.org
Cc: 567502-subscribe@bugs.debian.org
Subject: Exclude portmap from standard task
Date: Wed, 27 Apr 2011 22:06:43 +0200
[Message part 1 (text/plain, inline)]
Hello,

I too want to exclude portmap from the standard task. In case you want 
to install all the standard packages then aptitude warns you about a 
conflict.

|vincent@PC-Vincent:~$ sudo aptitude install '?priority(standard)'
The following NEW packages will be installed:
  portmap
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/38.9 kB of archives. After unpacking 184 kB will be used.
The following packages have unmet dependencies:
  rpcbind: Conflicts: portmap but 6.0.0-3 is to be installed.
The following actions will resolve these dependencies:

     Remove the following packages:
1)     nfs-common
2)     rpcbind



Accept this solution? [Y/n/q/?] q
Abandoning all efforts to resolve these dependencies.
Abort.
vincent@PC-Vincent:~$
|
'nfs-common' has dependecies with 'portmap' or 'rpcbind'. But the latest 
version of 'nfs-common' can work correctly with 'rpcbind'. Every time I 
reinstall the standard packages (I use a script with aptitude to update 
the list of installed packages) I get a conflict that I have to resolve 
in favor of 'rpcbind'.
I expect that this conflict will also exist when you install a new 
Debian system with the standard task enabled. (I haven't checked it)


Regards,
Vincent Smeets

I am using Debian Testing amd64.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#567502; Package portmap. (Wed, 27 Apr 2011 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 27 Apr 2011 21:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 567502@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 567502@bugs.debian.org
Subject: Re: Bug#567502: Exclude portmap from standard task
Date: Wed, 27 Apr 2011 23:16:56 +0200
reassign 567502 ftp.debian.org
retitle 567502 RM: portmap -- ROM; superseded by rpcbind
thanks

On 04/27/2011 10:06 PM, Vincent Smeets wrote:

> I too want to exclude portmap from the standard task. In case you want
> to install all the standard packages then aptitude warns you about a
> conflict.

Well, the idea is that it will be removed. Requesting for removal now.
As rpcbind provides portmap, there should be no issues for reverse
(build) dependencies especially as there are no versioned ones.

> 'nfs-common' has dependecies with 'portmap' or 'rpcbind'. But the latest
> version of 'nfs-common' can work correctly with 'rpcbind'. Every time I
> reinstall the standard packages (I use a script with aptitude to update
> the list of installed packages) I get a conflict that I have to resolve
> in favor of 'rpcbind'.

The latest version of nfs-common does depend explicitly on rpcbind
already btw.

Cheers

Luk




Bug reassigned from package 'portmap' to 'ftp.debian.org'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 21:24:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions portmap/6.0.0-1. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 21:24:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: portmap -- ROM; superseded by rpcbind' from 'Exclude portmap from standard task' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 21:24:08 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 28 Apr 2011 22:18:23 GMT) Full text and rfc822 format available.

Notification sent to Olaf van der Spek <olafvdspek@gmail.com>:
Bug acknowledged by developer. (Thu, 28 Apr 2011 22:18:23 GMT) Full text and rfc822 format available.

Message #26 received at 567502-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 567502-close@bugs.debian.org
Cc: portmap@packages.debian.org, portmap@packages.qa.debian.org
Subject: Bug#567502: Removed package(s) from unstable
Date: Thu, 28 Apr 2011 22:15:58 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   portmap |    6.0.0-3 | source, alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

------------------- Reason -------------------
ROM; superseded by rpcbind
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567502@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/567502

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#567502; Package ftp.debian.org. (Mon, 02 May 2011 08:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 02 May 2011 08:00:07 GMT) Full text and rfc822 format available.

Message #31 received at 567502@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 567502@bugs.debian.org, Luk Claes <luk@debian.org>
Subject: portmap 6.0.0-5 is still in experimental
Date: Mon, 02 May 2011 09:56:07 +0200
Hi,

portmap has been removed from unstable, but there is still a version in
experimental.  I suppose this should be removed as well?

Regards,
        Sven




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 May 2011 07:31:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:53:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.